DUB-UPGRADE(1)

NAME
dub-upgrade - Forces an upgrade of the dependencies

SYNOPSIS
dub upgrade [<packages...>] OPTIONS...

DESCRIPTION
Upgrades all dependencies of the package by querying the package registry(ies) for new versions. This will update the versions stored in the selections file (dub.selections.json) accordingly. If one or more package names are specified, only those dependencies will be upgraded. Otherwise all direct and indirect dependencies of the root package will get upgraded.

OPTIONS

--prerelease
    Uses the latest pre-release version, even if release versions are available

-s, --sub-packages
    Also upgrades dependencies of all directory based sub packages

--verify
    Updates the project and performs a build. If successful, rewrites the selected versions file <to be implemented>.

--dry-run
    Only print what would be upgraded, but don't actually upgrade anything.

--missing-only
    Performs an upgrade only for dependencies that don't yet have a version selected. This is also done automatically before each build.

--force-remove
    Deprecated option that does nothing.

  COMMON OPTIONS
See dub(1)

EXIT STATUS

0   DUB succeeded

1   usage errors, unknown command line flags

2   package not found, package failed to load, miscellaneous error

FILES
dub.sdl, dub.json

AUTHOR
Copyright (c) 1999-2024 by The D Language Foundation

ONLINE DOCUMENTATION
http://code.dlang.org/docs/commandline

SEE ALSO
dub(1)